MySQL++ SSQLS v2 Translator: ParseV2::ParseException Class Reference

MySQL++ SSQLS v2 Translator 3.2.5

Public Member Functions | List of all members
ParseV2::ParseException Class Reference

Exception object thrown by File::error() to report an SSQLS v2 parsing error. More...

`#include <parsev2.h>`

Inheritance diagram for ParseV2::ParseException:
[legend]
Collaboration diagram for ParseV2::ParseException:
[legend]

## Public Member Functions
| ParseException (const std::string &what, const std::string &file_name, size_t line)
| Constructor. More...
| ~ParseException () throw ()
| Destructor.
const char * | file_name () const
| Get name of file where error occurred.
size_t | line () const
| Get line number where error occurred.

## Detailed Description

Exception object thrown by File::error() to report an SSQLS v2 parsing error.

## Constructor & Destructor Documentation

## ◆ ParseException()

ParseV2::ParseException::ParseException | ( | const std::string & | what,
|  | const std::string & | file_name,
|  | size_t | line
| ) |  |
| inline

Constructor.

Parameters

  what | description of what went wrong parsing the line
  file_name | name of source file where error occurred
  line | line number in source file where error occurred

The documentation for this class was generated from the following file:

- parsev2.h